Update Fixed Asset Class
curl --request PUT \
--url https://api.meetcampfire.com/coa/api/fixed-asset-class/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"useful_life": -1,
"asset_account": 123,
"accumulated_depreciation_account": 123,
"depreciation_expense_account": 123
}
'import requests
url = "https://api.meetcampfire.com/coa/api/fixed-asset-class/{id}"
payload = {
"name": "<string>",
"useful_life": -1,
"asset_account": 123,
"accumulated_depreciation_account": 123,
"depreciation_expense_account": 123
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
useful_life: -1,
asset_account: 123,
accumulated_depreciation_account: 123,
depreciation_expense_account: 123
})
};
fetch('https://api.meetcampfire.com/coa/api/fixed-asset-class/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"is_deleted": false,
"deleted_at": "2023-11-07T05:31:56Z",
"asset_account_name": "<string>",
"accumulated_depreciation_account_name": "<string>",
"depreciation_expense_account_name": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"last_modified_at": "2023-11-07T05:31:56Z",
"customer": 123,
"useful_life": -1,
"asset_account": 123,
"accumulated_depreciation_account": 123,
"depreciation_expense_account": 123
}Company Objects
Update Fixed Asset Class
PUT
/
coa
/
api
/
fixed-asset-class
/
{id}
Update Fixed Asset Class
Authorizations
Token-based authentication with required prefix "Token"
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Response
200 - application/json
Maximum string length:
250Required range:
-2147483648 <= x <= 2147483647⌘I